EWE TRADING - PowerHub (1.0.0)

Download OpenAPI specification:

Short-Term Power Scheduling & Nomination

Authentication

When accessing the API programmatically, please use OAuth2 with the provided CLIENT_ID and CLIENT_SECRET.

Token URL

TEST: https://auth-token.dev.powerhub.ewe.de/oauth2/token

PRODUCTION: https://auth-token.powerhub.ewe.de/oauth2/token

Example:

POST /token
Host: https://auth-token.powerhub.ewe.de/oauth2/token
Authorization: Basic BASE64(CLIENT_ID:CLIENT_SECRET)
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials

Usage

When requesting an API resource, use the received ACCESS_TOKEN with the Bearer prefix.

Example:

GET /resource
Host: https://api.powerhub.ewe.de
Authorization: Bearer ACCESS_TOKEN

Nominations

There are three different types of nominations:

  • Schedule
  • Order
  • Merit-Order

Every nomination object consists of the following keys:

  • contract_id : Contract/Portfolio, for which the nomination is sent (provided by EWE)
  • nomination : List of nomination periods

The nomination contains a list of periods, which are defined by the begin and end of the period.
Every period has the length of 15 minutes.
Every nomination needs to contain the full delivery day, therefore consists of 96 periods (92 or 100 periods during DST days).

Depending on the nomination type, each period needs to contain the following values:

  • Schedule: volume
  • Order: volume & price
  • MeritOrder: orders (a list of order items, each containing volume & price)

Timestamps

Timestamp format is a isoformat (ISO 8601) string in UTC timezone, e.g. "2024-10-01T00:00:00.000Z"

Volumes

The unit of volume is Megawatt (MW).

Trading Direction:

  • positive value (>0.0 MW): EWE TRADING buys from customer
  • negative value (<0.0 MW): EWE TRADING sells to the customer

Nomination

Send Nomination Schedule

Request Body schema: application/json
required
contract_id
required
string (Contract Id)
required
Array of objects (Nominations)

Responses

Request samples

Content type
application/json
{
  • "contract_id": "string",
  • "nominations": [
    ]
}

Response samples

Content type
application/json
null

Send Nomination Order

Request Body schema: application/json
required
contract_id
required
string (Contract Id)
required
Array of objects (Nominations)

Responses

Request samples

Content type
application/json
{
  • "contract_id": "string",
  • "nominations": [
    ]
}

Response samples

Content type
application/json
null

Send Nomination Meritorder

Request Body schema: application/json
required
contract_id
required
string (Contract Id)
required
Array of objects (Nominations)

Responses

Request samples

Content type
application/json
{
  • "contract_id": "string",
  • "nominations": [
    ]
}

Response samples

Content type
application/json
null